﻿' ------------------------------------------------------------------------------
'
' FishKurs1e.VB                                           Ulrich Müller 20.06.06
'                                                         PCS1700 VB2005 Express
' Einführung in die Programmierung mit VB2005 und FishFace40
'                   am Beispiel einer Ampelsteuerung
'
' FishKurs1 : Einfache Ampel (Konsolanwendung). Ausbaustufe e : Exception, Texte
'             Lampen : Grün = M1, Gelb = M2, Rot = M3
'
' erforderlich : FishFa2005.DLL und umFish40.DLL
'
' ------------------------------------------------------------------------------
Imports FishFace40
Module FishKurs1e
  Private ft As New FishFace()
  Const mRot As Out = Out.M3
  Const mGelb As Out = Out.M2
  Const mGruen As Out = Out.M1

  Sub Main()
    Console.WriteLine("--- FishKurs1t : gestartet ---")
    Try
      ft.OpenInterface(IFTypen.ftROBO_first_USB, 0)
      Console.WriteLine("--- Verbindung zum Interface hergestellt ---")
      Console.WriteLine("--- Ampelschleife läuft, Abbruch durch ESC-Taste ---")
      Do                               ' --- Betriebsschleife Ampelanzeige ---
        ft.SetMotor(mGruen, Dir.Ein)   '     Grün, 3000
        ft.Pause(3000)
        ft.SetMotor(mGruen, Dir.Aus)
        ft.SetMotor(mGelb, Dir.Ein)    '     Gelb, 1000
        ft.Pause(1000)
        ft.SetMotor(mGelb, Dir.Aus)
        ft.SetMotor(mRot, Dir.Ein)     '     Rot, 3500
        ft.Pause(3500)
        ft.SetMotor(mGelb, Dir.Ein)    '     Rot/Gelb, 1000
        ft.Pause(1000)
        ft.SetMotor(mRot, Dir.Aus)
        ft.SetMotor(mGelb, Dir.Aus)
      Loop Until ft.Finish()           ' --- Ende durch ESC-Taste
    Catch eft As FishFaceException
      Console.WriteLine(eft.Message)
    End Try
    ft.CloseInterface()
    Console.WriteLine("--- Beenden durch RETURN ---")
    Console.ReadLine()
  End Sub

End Module
